> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/api-and-platform/privacy-requests/notes.md).

# Notes

To manage your privacy requests created by your end-users, Didomi API provides a note management tool to attach notes to the requests you have to address.

In Didomi Console, we only present the last note created but you can query all notes attached to a request with Didomi API.

The `/dsar/requests/notes` endpoint of the API exposes the request `notes` managed by Didomi for your organization. For a full reference of the endpoint and the resources that it returns, visit<https://api.didomi.io/docs/>.

## Create a note

To create a new note, you can send a **POST** request to `https://api.didomi.io/dsar/requests/notes`. You need to specify the Request ID and the content of your note.

```json
POST https://api.didomi.io/dsar/requests?organization_id={{organization_id}}

{
    "request_id": "String",
    "value": "String"
}
```

## Query all notes

To fetch all notes of your organization, you can send a GET request on `https://api.didomi.io/dsar/requests/notes`.

```json
[
    {
        "id": "String",
        "created_at": "Date",
        "updated_at": "Date",
        "organization_id": "String",
        "request_id": "String",
        "value": "String",
        "user_id": "String",
        "user": {
            "name": "String"
        }
    }
]
```

## Query notes of a request

To fetch all notes attached to a specific request, you can send a GET request on `https://api.didomi.io/dsar/requests/notes?request_id={{request_id}}`. You need to add the `request_id` as a query param.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.didomi.io/api-and-platform/privacy-requests/notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
